package com.example.afrishop_v3.models;

import lombok.Data;
import lombok.ToString;

import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Transient;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * 实体
 * 表名 activity
 *
 * @author lipengjun
 * @date 2020-11-28 16:30:49
 */

@Entity
@Data
@ToString
public class Activity implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 活动ID
     */
    @Id
    private String id;
    /**
     * 活动名称
     */
    private String name;
    /**
     * 活动内容
     */
    private String content;
    /**
     * 活动类型 1：满减 2：满折 3：满件打折
     */
    private Integer type;
    /**
     * 使用类型 1：全场 2：分类商品 3：特定商品
     */
    private Integer useType;
    /**
     * 商品分类ID
     */
    private String categoryId;
    /**
     * 活动图片
     */
    private String picture;
    /**
     * 活动条件（json）
     */
    private String condition;
    /**
     * 特定商品链接
     */
    private String itemIds;
    /**
     * 活动状态 0：关闭 1：开启
     */
    private Integer status;
    /**
     * 活动开始时间
     */
    private Date startTime;
    /**
     * 活动结束时间
     */
    private Date endTime;
    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    /**
     * 距离活动截至时间
     */
    @Transient
    private String deadline;

    @Transient
    private Integer order;
}
